Package Details: powerpill 2020.12.15-2

Git Clone URL: https://aur.archlinux.org/powerpill.git (read-only, click to copy)
Package Base: powerpill
Description: Pacman wrapper for faster downloads.
Upstream URL: https://xyne.archlinux.ca/projects/powerpill
Keywords: arch_linux pacman system
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 229
Popularity: 2.68
First Submitted: 2012-11-29 03:58
Last Updated: 2020-12-15 06:01

Dependencies (9)

Required by (1)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

Xyne commented on 2018-12-24 19:11

@DroidFreak32 I've just rebuilt the package locally via the AUR's PKGBUILD and I see no indentation error. Can you compare the installed file at /usr/lib/python3.7/site-packages/Powerpill.py to Powerpill.py in the source archive? I wonder if something went wrong when the file was copied to your system.

If the error was in the source file, I and several other people would have noticed it I think.

DroidFreak32 commented on 2018-12-18 13:12

I had this error running powerpill

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 183, in _run_module_as_main
    mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  File "/usr/lib/python3.7/runpy.py", line 153, in _get_module_details
    code = loader.get_code(mod_name)
  File "<frozen importlib._bootstrap_external>", line 860, in get_code
  File "<frozen importlib._bootstrap_external>", line 791, in source_to_code
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/lib/python3.7/site-packages/Powerpill.py", line 57
    except ImportError:
         ^
IndentationError: expected an indented block

So I replaced the try-except block with just

OFFICIAL_REPOSITORIES = tuple()

I know this is not the correct fix, so if anyone else could provide the correct fix I would really appreciate it. Thanks!

Vrakfall commented on 2018-10-08 13:01

@Xyne: Thank you really much!

eigengrau commented on 2018-10-06 08:11

Cheers Xyne! ❤

Xyne commented on 2018-10-03 06:27

Sorry, a lot happened in the last few weeks and I didn't notice that my release scripts had broken. Everything should be working again now.

JohnRobson commented on 2018-09-28 15:39

==> Retrieving sources... -> Downloading powerpill-2018.9.8.tar.xz... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading https://xyne.archlinux.ca/projects/powerpill/src/powerpill-2018.9.8.tar.xz Aborting... ==> ERROR: Makepkg was unable to build powerpill.

Alad commented on 2018-09-18 13:18

The source is 404. That doesn't mean the built pacman packages should serve as replacement.

ImNtReal commented on 2018-09-14 18:22

@aurmyster, is there no longer a link to the source?

aurmyster commented on 2018-09-11 18:46

The correct links should be: https://xyne.archlinux.ca/repos/xyne/powerpill-2018.9.8-1-any.pkg.tar.xz https://xyne.archlinux.ca/repos/xyne/powerpill-2018.9.8-1-any.pkg.tar.xz.sig

le_tucan commented on 2018-09-11 15:48

Source links still broken